<!DOCTYPE html>
<html>
<title>Academy</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <div class="w3-bar-item w3-right">
    <a rel="nofollow" data-method="delete" href="/logout" class="fa fa-sign-out" aria-hidden="true"></a>
  </div>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <!-- <img src="/w3images/avatar2.png" class="w3-circle w3-margin-right" style="width:46px"> -->
    </div>
    <div class="w3-col s8 w3-bar">
      <span>Bem vindo, <strong><%= @client.name %></strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-envelope"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-user"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-cog"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Dashboard</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu"><i class="fa fa-remove fa-fw"></i>  Close Menu</a>
    <a href="/" class="w3-bar-item w3-button w3-padding w3-blue"><i class="fa-home"></i>  Minha ficha</a>
    <a href="client_measure_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Minhas medidas</a>
    <a href="client_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Meus pagamentos</a>
    <a href="/logout" class="w3-bar-item w3-button w3-padding" rel="nofollow" data-method="delete"><i  class="fa fa-sign-out"></i>  Sair</a><br><br>
  </div>
</nav>


<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-left:300px;margin-top:43px;">

  <!-- Header -->
  <header class="w3-container" style="padding-top:22px">
    <h5><b><i class="fa fa-dashboard"></i> Minha ficha</b></h5>
  </header>
  <!-- Content -->
  <!-- Main content -->
  <section class="content">
    <div class="text-center"> <p class="text-primary"> <h3>Lista de treinamento</h3></p> </div>
    <!-- Main row -->
    <% if @admin || @manager || @coach %>
      <div class="row">
        <div class="col-lg-6">
          <form>
            <div class="input-group">
              <input type="text" class="form-control" placeholder="email">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="submit">Pesquisar</button>
              </span>
            </div>
          </form>
        </div>
      </div>
    <% end %>
    <!-- /.row (main row) -->

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <table class="table table-hover">
          <thead>
            <tr>
              <% if @manager || @coach%>
              <th>Email</th>
              <th>Nome</th>
              <% end %>
              <th>Grupo</th>
              <th>Turno</th>
              <th>Equipamento</th>
              <th>Exercício</th>
              <th>Série</th>
              <th>Repetição</th>
              <th colspan="3"></th>
            </tr>
          </thead>

          <tbody>
            <% @training_clients.each do |training_client| %>
              <tr>
                <% if @manager || @coach%>
                <td><%= training_client.client.user.email %></td>
                <td><%= training_client.client.name %></td>
                <% end %>
                <td><%= training_client.group %></td>
                <td><%= training_client.turn %></td>
                <td><%= training_client.training.equipament.name %></td>
                <td><%= training_client.training.exercise.name %></td>
                <td><%= training_client.training.number.number %></td>
                <td><%= training_client.training.repetition.number %></td>
                <% if @coach %>
                <td><%= link_to 'Edit', edit_training_client_path(training_client) %></td>
                <td><%= link_to 'Destroy', training_client, method: :delete, data: { confirm: 'Are you sure?' } %></td>
                <% end %>
              </tr>
            <% end %>
          </tbody>
        </table>

      </section>
    </div>

    <% if @admin || @manager || @coach%>
      <div class="row">
        <div class="col-lg-offset-5 col-lg-2">
          <a href="/training_clients/new" class="btn btn-primary" role="button">Novo treino</a>
        </div>
      </div>
    <% end %>

  </section>

  <!-- Content -->

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>All rights reserved Version: beta </p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}
</script>

</body>
</html>
